Subject: [bug#60171] Fix mpv on X11

From: phodina <[email-masked]>
Date: Mon, 19 Dec 2022 05:29:39 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Sunday, December 18th, 2022 at 1:17 PM, Tobias Geerinckx-Rice <[email-masked]> wrote:

> Hi!
> 
> phodina 写道：
> 
> > Enabling support for X11 solves the problem.
> 
> 
> Are you sure your Guix & mpv installation are up to date?
> 
> See
> 
> https://issues.guix.gnu.org/59508 (patch)
> https://issues.guix.gnu.org/59279
> 
> and specifically
> 
> https://issues.guix.gnu.org/59378#2 and linked
> https://issues.guix.gnu.org/59339
> 
> which mentions your exact error message as being fixed back in
> November.
> 
> Kind regards,
> 
> T G-R

Hi Tobias,

I checked the patch is applied.

I use the following setup SDDM running under wayland and GNOME on wayland - here it works ok. 

However, I have a second environment where I spend half the time and it runs i3. Here the `mpv` gives me an error.

$ guix describe
Generation 11	Dec 18 2022 00:32:54	(current)
  guix f28ca24
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f28ca2447c5e2eef1ba6a3a11587380a665b0e26

----
Petr